package com.jiuqi.syntax;

import java.util.EventObject;

public final class FloatCopyEvent extends EventObject
{
    public String sourceRelaExp;
    public String destRelaExp;
    public String sourceFilter;
    public String calcExps;
    public boolean isClearData;
    public int copyType;
    public int timeOffset;
    public int copyRowCount;
    public Object holdObject;
    public char srcPeriodType;
    public int periodCount;
    
    public FloatCopyEvent(final Object object, final String sourceRelaExp, final String destRelaExp, final String sourceFilter, final String calcExps, final boolean isClearData, final int copyType) {
        super(object);
        this.holdObject = null;
        this.sourceRelaExp = sourceRelaExp;
        this.destRelaExp = destRelaExp;
        this.sourceFilter = sourceFilter;
        this.calcExps = calcExps;
        this.isClearData = isClearData;
        this.copyType = copyType;
    }
    
    @Deprecated
    public FloatCopyEvent(final Object object, final String sourceRelaExp, final String destRelaExp, final String sourceFilter, final String calcExps, final boolean isClearData, final boolean isSumCopy) {
        super(object);
        this.holdObject = null;
        this.sourceRelaExp = sourceRelaExp;
        this.destRelaExp = destRelaExp;
        this.sourceFilter = sourceFilter;
        this.calcExps = calcExps;
        this.isClearData = isClearData;
        this.copyType = (isSumCopy ? 1 : 0);
    }
    
    public FloatCopyEvent(final Object object) {
        super(object);
        this.holdObject = null;
    }
}
